# Uses of Interface
org.opensaml.soap.wsfed.Address

Packages that use Address
Package
Description
org.opensaml.soap.wsfed
XMLObject interfaces for WS-Federation elements.
org.opensaml.soap.wsfed.impl
XML Object provider implementations for WS-Federation.

## Uses of Address in org.opensaml.soap.wsfed

Methods in org.opensaml.soap.wsfed that return Address
Modifier and Type
Method
Description
`Address`
EndPointReference.`getAddress()`
Return the object representing the `Address` (element).
Methods in org.opensaml.soap.wsfed with parameters of type Address
Modifier and Type
Method
Description
`void`
EndPointReference.`setAddress(Address address)`
Sets the end point address as an object.

## Uses of Address in org.opensaml.soap.wsfed.impl

Classes in org.opensaml.soap.wsfed.impl that implement Address
Modifier and Type
Class
Description
`class`
`AddressImpl`
Implementation of the `Address` object.
Fields in org.opensaml.soap.wsfed.impl declared as Address
Modifier and Type
Field
Description
`private Address`
EndPointReferenceImpl.`address`
Address of the endpoint.
Methods in org.opensaml.soap.wsfed.impl that return Address
Modifier and Type
Method
Description
`final Address`
AddressBuilder.`buildObject()`
Builds a WS-Federation object using its default element name.
`Address`
AddressBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Address`
EndPointReferenceImpl.`getAddress()`
Return the object representing the `Address` (element).
Methods in org.opensaml.soap.wsfed.impl with parameters of type Address
Modifier and Type
Method
Description
`void`
EndPointReferenceImpl.`setAddress(Address newAddress)`
Sets the end point address as an object.